Bug 246438 - pppoe-server not work with sysklogd
pppoe-server not work with sysklogd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rp-pppoe (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-02 04:51 EDT by Alexander
Modified: 2009-01-08 23:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:40:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander 2007-07-02 04:51:44 EDT
Description of problem:
I tried to running pppoe-server from rp-pppoe. I run:
/usr/sbin/pppoe-server -I eth1 -L 192.168.2.1
configure /etc/ppp/pppoe-server-options and tried to connect from other computer
with Fedora 7 and do /usr/sbin/tcpdump -i eth1.
Result:
# /usr/sbin/tcpdump -i eth1
tcpdump: WARNING: eth1: no IPv4 address assigned
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on eth1, link-type EN10MB (Ethernet), capture size 96 bytes
11:41:12.704120 PPPoE PADI [Service-Name] [Host-Uniq 0xB73A0000]
11:41:12.704288 PPPoE PADO [AC-Name "allot.donec.net"] [Service-Name] [AC-Cookie
0x00688F42F430171058610349BEB3754AD6370000] [Host-Uniq 0xB73A0000]
11:41:12.704624 PPPoE PADR [Service-Name] [Host-Uniq 0xB73A0000] [AC-Cookie
0x00688F42F430171058610349BEB3754AD6370000]
11:41:12.705373 PPPoE PADS [ses 0x2] [Service-Name] [Host-Uniq 0xB73A0000]
11:41:13.732647 PPPoE  [ses 0x2] LCP, Conf-Request (0x01), id 1, length 16
11:41:16.734061 PPPoE  [ses 0x2] LCP, Conf-Request (0x01), id 1, length 16
11:41:19.735860 PPPoE  [ses 0x2] LCP, Conf-Request (0x01), id 1, length 16
11:41:22.736805 PPPoE  [ses 0x2] LCP, Conf-Request (0x01), id 1, length 16
11:41:25.737975 PPPoE  [ses 0x2] LCP, Conf-Request (0x01), id 1, length 16
11:41:28.739609 PPPoE  [ses 0x2] LCP, Conf-Request (0x01), id 1, length 16
11:41:31.740354 PPPoE  [ses 0x2] LCP, Conf-Request (0x01), id 1, length 16
11:41:34.741975 PPPoE  [ses 0x2] LCP, Conf-Request (0x01), id 1, length 16
11:41:37.747492 PPPoE  [ses 0x2] LCP, Conf-Request (0x01), id 1, length 16
11:41:40.747217 PPPoE  [ses 0x2] LCP, Conf-Request (0x01), id 1, length 16
11:41:43.794089 PPPoE PADT [ses 0x2] [Host-Uniq 0xB73A0000] [Generic-Error
"RP-PPPoE: System call error: Input/output error"][|pppoe]
11:41:43.794632 PPPoE PADT [ses 0x2] [Generic-Error "Received PADT"]

Then I try stop syslog:
/etc/init.d/syslog stop

And result was another:
# /usr/sbin/tcpdump -i eth1
tcpdump: WARNING: eth1: no IPv4 address assigned
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on eth1, link-type EN10MB (Ethernet), capture size 96 bytes
11:44:14.462903 PPPoE PADI [Service-Name] [Host-Uniq 0x9D3B0000]
11:44:14.463275 PPPoE PADO [AC-Name "allot.donec.net"] [Service-Name] [AC-Cookie
0x00688F42F430171058610349BEB3754AD6370000] [Host-Uniq 0x9D3B0000]
11:44:14.463624 PPPoE PADR [Service-Name] [Host-Uniq 0x9D3B0000] [AC-Cookie
0x00688F42F430171058610349BEB3754AD6370000]
11:44:14.465624 PPPoE PADS [ses 0x4] [Service-Name] [Host-Uniq 0x9D3B0000]
11:44:15.464435 PPPoE  [ses 0x4] LCP, Conf-Request (0x01), id 1, length 16
11:44:15.465866 PPPoE  [ses 0x4] LCP, Conf-Request (0x01), id 1, length 17
11:44:15.466144 PPPoE  [ses 0x4] LCP, Conf-Ack (0x02), id 1, length 17
11:44:15.467153 PPPoE  [ses 0x4] LCP, Conf-Reject (0x04), id 1, length 10
11:44:15.467475 PPPoE  [ses 0x4] LCP, Conf-Request (0x01), id 2, length 12
11:44:15.468602 PPPoE  [ses 0x4] LCP, Conf-Ack (0x02), id 2, length 12
11:44:15.468878 PPPoE  [ses 0x4] LCP, Echo-Request (0x09), id 0, length 10
11:44:15.469715 PPPoE  [ses 0x4] LCP, Echo-Request (0x09), id 0, length 10
11:44:15.469955 PPPoE  [ses 0x4] LCP, Echo-Reply (0x0a), id 0, length 10
11:44:15.470785 PPPoE  [ses 0x4] CHAP, Challenge (0x01), id 138, Value
6431d80b6b2985b609a375564606789ced, Name allot.donec.net
11:44:15.471370 PPPoE  [ses 0x4] CHAP, Response (0x02), id 138, Value
d3a87843023403393d7d9d43c838ab56, Name shulik
11:44:15.472290 PPPoE  [ses 0x4] LCP, Echo-Reply (0x0a), id 0, length 10
11:44:15.487197 PPPoE  [ses 0x4] CHAP, Success (0x03), id 138, Msg 
11:44:15.487997 PPPoE  [ses 0x4] IPCP, Conf-Request (0x01), id 1, length 12
11:44:15.545674 PPPoE  [ses 0x4] IPCP, Conf-Request (0x01), id 1, length 24
11:44:15.545908 PPPoE  [ses 0x4] IPCP, Conf-Ack (0x02), id 1, length 12
11:44:15.547077 PPPoE  [ses 0x4] IPCP, Conf-Nack (0x03), id 1, length 24
11:44:15.547468 PPPoE  [ses 0x4] IPCP, Conf-Request (0x01), id 2, length 24
11:44:15.562287 PPPoE  [ses 0x4] IPCP, Conf-Ack (0x02), id 2, length 24
11:44:24.205325 PPPoE  [ses 0x4] IP 192.168.2.3 > IGMP.MCAST.NET: igmp v3
report, 1 group record(s)


Version-Release number of selected component (if applicable):
sysklogd-1.4.1-39.2
rp-pppoe-3.5-32.1


How reproducible:
Run pppoe-server with syslog and try to connect.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Florin Popovici 2007-11-24 13:07:32 EST
Probably the same bug as 222295.
Comment 2 Bug Zapper 2008-04-04 08:53:58 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-11-26 02:23:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-08 23:40:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.